ApiK Y B Documents

The KYB document checklist with status and version history

Every document slot for the business, with its current status and the retained prior versions - the status history, newest version first.

GET
/api/b/v1/kyb/documents

Every document slot for the business, with its current status and the retained prior versions - the status history, newest version first.

Authorization

OAuth2PasswordBearer
AuthorizationBearer <token>

In: header

admin_access_token?string|null

Response Body

application/json

application/json

curl -X GET "https://example.com/api/b/v1/kyb/documents"
{  "documents": [    {      "document_id": "b792e8ae-2cb4-4209-85b9-32be4c2fcdd6",      "document_type": "incorporation_certificate",      "label": "string",      "status": "pending",      "rejection_reason": "string",      "versions": [        {          "version": 0,          "status": "pending",          "rejection_reason": "string",          "original_filename": "string",          "content_type": "string",          "size_bytes": 0,          "storage_url": "string",          "uploaded_by": "e134ce2c-a199-4e99-9c11-627b70a7ff28",          "created_at": "2019-08-24T14:15:22Z"        }      ]    }  ]}